# Update Flight Tickets Updates all tickets for a specific flight. This operation replaces all previously set values. To append new tickets or edit existing ones, first retrieve the current list, update the elements, and then send the whole updated list. Endpoint: PUT /api/external/flight/{flightId}/tickets Version: 1.8.0 Security: API_AUTHENTICATION ## Path parameters: - `flightId` (string, required) flightId ## Request fields (application/json): - `comment` (string) - `documentExternalReference` (string) - `externalReference` (string) - `internalId` (integer) - `isMain` (boolean) - `links` (array) - `links.deprecation` (string) - `links.href` (string) - `links.hreflang` (string) - `links.media` (string) - `links.name` (string) - `links.profile` (string) - `links.rel` (object) - `links.title` (string) - `links.type` (string) - `paxExternalReference` (string) - `paxType` (string) Enum: "NONE", "MALE", "FEMALE", "CHILD", "INFANT", "OTHER" ## Response 200 fields (application/json): - `comment` (string) - `documentExternalReference` (string) - `externalReference` (string) - `internalId` (integer) - `isMain` (boolean) - `links` (object) - `links.empty` (boolean) - `paxExternalReference` (string) - `paxType` (string) Enum: "NONE", "MALE", "FEMALE", "CHILD", "INFANT", "OTHER" ## Response 201 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields